
<?php 
session_start();
if(!isset($_SESSION['idUsuario'])){
	header("location:../");
}
include_once '../conexao/index.php';

error_reporting(E_ALL);

$_SESSION['idUsuario'] = $_SESSION['idUsuario'];
$_SESSION['nomeUsuario'] = $_SESSION['nomeUsuario'];
$_SESSION['categoriaUsuario'] = $_SESSION['categoriaUsuario']; 
/*Variaveis do Sistema*/
/*********************************************/
// echo $_SESSION['idUsuario']." - ".$_SESSION['nomeUsuario']."- ".$_SESSION['categoriaUsuario'];

$caixa = "Aberto";

  	if (isset($_GET['id_artigo'])) {
  		$id = $_GET['id_artigo'];
		$sql = "DELETE FROM ct_artigos_temp WHERE id = '$id' AND user = '".$_SESSION['idUsuario']."'";
		$rs = mysqli_query($db, $sql);
	}

	if (isset($_GET['apagar'])) {
		$sqlBox = "DELETE FROM ct_artigos_temp WHERE user = '".$_SESSION['idUsuario']."'";
		$rsBox = mysqli_query($db, $sqlBox);
		if ($rsBox > 0) {
			header("location: cotacao.php");
		}
	}
?>

<!DOCTYPE html>
<html>
<head>
	<title>iVone</title>
	<meta charset="utf-8">
	<meta name="viewport" content="width-device-width, initial-scale=1">
	<link rel="shorcut icon"  href="../img/config/5087847.png">
	<link rel="stylesheet" type="text/css" href="css/cotacao.css">
	<link rel="stylesheet" type="text/css" href="../font-awesome/css/font-awesome.css">
	<link rel="stylesheet" type="text/css" href="../font-awesome/css/font-awesome.min.css">
	<link rel="stylesheet" type="text/css" href="../css/jquery-ui.min.css"> 
	<link rel="stylesheet" type="text/css" href="../css/select2.min.css">
	<link rel="stylesheet" type="text/css" href="../css/jquery-ui.css">
	<script type="text/javascript" src="../js/jquery-3.3.1.min.js"></script>
	<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
	<script type="text/javascript" src="../js/select2.min.js"></script>
	<script type="text/javascript" src="../js/jquery-ui.js"></script>
	<link href="datatables.min.css" rel="stylesheet"/>
	<script src="datatables.min.js"></script>
	<style type="text/css">
		#example tbody tr{
			transition: all 0.3s ease-in-out;
		}
		#example tbody tr:hover{
			background: #ccc;
			cursor: pointer;
		}
		.principal .direita .rodapeDireita .div2{
			margin-top: 5px;
			display: flex;
			flex-direction: row;
			justify-content: flex-end;
		}
		.principal .direita .rodapeDireita .div2 a{
			padding: 5px 10px;
			color: #fff;
			cursor: pointer;
		}
		.principal .direita .rodapeDireita .div2 a:nth-child(1){
			background-color: #F43248;
		}
		.principal .direita .rodapeDireita .div2 a:nth-child(2){
			background-color: #EB7D08;
			margin-left: 10px;
		}
		.principal .direita .rodapeDireita .div1 .right input{
			width: 35%;
			padding: 8px;
			border: 1px solid #ccc;
		}
		form p{
			color: #fff;
		}
		.principal .direita .conteudoDireita table tr:nth-child(even){
			background-color: none;
		}
	</style>
</head>
<body>
<div class="principal">
	<div class="esquerda">
		<div class="cabecalhoEsquerda">
			<h4 class="operador">Operador: <?php echo $_SESSION['nomeUsuario']; ?></h4>
			<p class="relogio">
				<?php 
					$data_hora = date("Y-m-d H:i:s");
					echo $data_hora;
				?>
			</p>
			<a style="margin-left: 5px;" href="factura.php"><i class="fa fa-refresh" aria-hidden="true"></i></a>
		</div>
		<div class="conteudoEsquerda" style="padding: 15px;overflow-y: scroll;background: #fff;">
				<table id="example" style="height: 75vh;">
					<thead>
						<td>#</td>
						<td>Descricao do artigo</td>
						<td>Stock</td>
						<td>Preco</td>
					</thead>
					<tbody>
				<?php 
					if (isset($_GET['id_categoria'])) {
						$idd = $_GET['id_categoria'];
						$sql = "SELECT * FROM produto WHERE id_catgeoria = '$idd'";
						$rs = mysqli_query($db, $sql);
						while ($dados = mysqli_fetch_array($rs)) {
					?>
						<tr>
							<td><?php echo $dados['idproduto']; ?></td>
							<td><?php echo $dados['nomeproduto'] ?></td>
							<td><?php echo $dados['stock'] ?></td>
							<td><?php echo $dados['preco'] ?></td>
						</tr>
					<?php
						}
					}else{
						$sql = "SELECT * FROM produto";
						$rs = mysqli_query($db, $sql);
						while ($dados = mysqli_fetch_array($rs)) {
					?>
						<tr>
							<td><?php echo $dados['idproduto']; ?></td>
							<td><?php echo $dados['nomeproduto'] ?></td>
							<td><?php echo $dados['stock'] ?></td>
							<td><?php echo $dados['preco'] ?></td>
						</tr>
				<?php }} ?>
					</tbody>
				</table>
		</div>
	</div>
	<div class="direita">
		<div class="cabecalhoDireita">
			<a class="fecharSistema"><i class="fa fa-arrow-left" aria-hidden="true"></i></i> Sair</a>
			<a href="dash.php" style="margin-left: 10px;"><i class="fa fa-arrow-left" aria-hidden="true"></i></i> Dashboard</a>
			<h3 class="vnd">Cotacao: 
				<?php 
					$sql = "SELECT MAX(id) as idp FROM cotacao";
					$rs = mysqli_query($db, $sql);
					while ($dados = mysqli_fetch_array($rs)) {
						$f = $dados['idp'] + 1;
				?>
					<input type="number" name="" value="<?php echo $f; ?>" size="2" style="padding: 5px 2px;width: 30%;text-align: right;" max="<?php echo $f; ?>" min="1">
				<?php } ?>
			</h3>
		</div>
		<div class="conteudoDireita">
			<form>
					<p>Cliente</p>
					<select class="cliente">
							<option>Selecione o cliente</option>
							<?php 
								$sql = "SELECT * FROM clientes ORDER BY id DESC";
								$rs = mysqli_query($db, $sql);
								while ($dados = mysqli_fetch_array($rs)) {
							?>
								<option value="<?php echo $dados['id']; ?>"><?php echo $dados['nome']." ".$dados['apelido']; ?></option>
							<?php } ?>
					</select>
			</form>
			<form>
					<p>Validade</p>
					<input type="date" id="prazo" >
			</form>
			<form>
					<input type="text" id="codebar" placeholder="Ler código de barras ou inserir o código QR e pressionar enter" autofocus>
			</form>
			<div class="tbl">
					<table>
				<thead>
					<th>#</th>
					<th>Descricao</th>
					<th>Qtd</th>
					<th>Preco</th>
					<th>Total</th>
					<th style="color: #EB7D08;"><a><i class="fa fa-window-close" aria-hidden="true"></i></a></th>
				</thead>
				<tbody class="tbody">
					
						
				</tbody>
			</table>
			</div>
		</div>
		
		<div class="rodapeDireita">
			<div class="div1">
				<div class="left">
						<h2 style="color: #fff;">
							Total: <span id="totls" ></span> Mt
						</h2>
				</div>
				<div class="right">
					<p style="color: #fff;">Disconto</p>
					<input type="number" id="disconto" step="0.01" placeholder="0.00" min="0">
				</div>
			</div>
			<div class="div2">
					<a href="?apagar=true"><i class="fa fa-lock" aria-hidden="true"></i> Cancelar</a>
					<a class="processar"><i class="fa fa-lock" aria-hidden="true"></i> Processar</a>
			</div>
		</div>
	</div>
</div>
	<script type="text/javascript" src="../js/data-table-act.js"></script>
	<script type="text/javascript" src="../js/jquery.dataTables.min.js"></script>
	<script type="text/javascript" src="../js/funcoes.js"></script>
	<script type="text/javascript" src="../js/configuracoes.js"></script>
	<script type="text/javascript">
		$(function() {
			$('.cliente').select2();
			$('.id_categoria').select2();
			$('.pedidos').select2();
			$('.clientes').select2();
			$('.usuario').select2();
    	contentEditable();
		function contentEditable() {
				$("table tbody tr td.editavel").on('dblclick', function() {
				if ($('td > input').length > 0) {
					return;
				}
				var conteudoOriginal = $(this).text();
				var novoElemento = $('<input/>', {type: 'text', value:conteudoOriginal});
				$(this).html(novoElemento.bind('blur keydown', function(e) {
					var keyCode = e.which;
					var conteudoNovo = $(this).val();
					if (keyCode == 13 && conteudoNovo != "" && conteudoNovo != conteudoOriginal) {
						var objecto = $(this);
						$.ajax({
							url: 'atualizarQtdCotacao.php',
							type: 'POST',
							data: {
								id: $(this).parents('tr').children().first().text(),
								nome: $(this).parents('tr').children().eq(1).text(),
								valor: conteudoNovo 
							},
							success: function(data) {
								if (data == 1) {
									alert("O stock deste artigo e inferior a quantidade informada!");
								}
								objecto.parent().html(conteudoNovo);
								location.reload();
							}
						});
					}
					if (e.type == "blur" || keyCode == 27) {
						$(this).parent().html(conteudoOriginal);
						
					}

				}));
				$(this).children().select();
			});
		}

			$("#codebar").on('input', function(){
					$.ajax({
						url: 'produtoAdd.php',
						type: 'POST',
						data: {
							artigo: $(this).val()
						},
						success: function(data) {
							if (data == 1) {
								alert("O stock deste artigo e inferior a quantidade informada!");
							}
							location.reload();
						},
						error: function() {
							alert("Ocorreu um erro ao inserir o artigo pelo codigo de barras!");
						}
				});
			});
			$(".vendas").on('change', function() {
					$.ajax({
						url: 'popularVendas.php',
						type: 'GET',
						data: {
							datas: $(this).val()
						},
						success: function(data) {
							$(".tbody").html(data);
						},
						error: function() {
							alert("Ocorreu um erro ao popular vendas recentes!");
						}
				});
					$.ajax({
						url: 'popularTotItens.php',
						type: 'GET',
						data: {
							datas: $(this).val()
						},
						success: function(data) {
							$(".itens").html(data);
						},
						error: function() {
							alert("Ocorreu um erro ao popular vendas recentes!");
						}
				});
			});

			$("#looker").on('input', function(){
					$.ajax({
						url: 'popularArtigosFactura.php',
						type: 'GET',
						data: {
							valor: $(this).val()
						},
						success: function(data) {
							$(".produto table tbody").html(data);
						},
						error: function() {
							alert("Ocorreu um erro ao popular os artigos!");
						}
				});
			});

			setInterval(lg, 1000);

			function lg(){
				$.ajax({
						url: 'relogio.php',
						type: 'GET',
						success: function(data) {
							$(".relogio").html(data);
						},
						error: function() {
							$(".relogio").html("Ocorreu um erro ao popular a hora!");
						}
				});
			}
			$("#example tbody tr").on('click', function() {
				$.ajax({
					url: 'addArtigoTempCt.php',
					type: 'POST',
					data: {
						id: $(this).children().first().text()
					},
					success: function(data) {
						popularArtigosTemp();
						totls();
					},
					error: function() {
						alert("Ocorreu um erro ao registrar o artigo!")
					}
				});
			});
			popularArtigosTemp();
			totls();
			function popularArtigosTemp() {
				$.ajax({
					url: 'popularArtigosTempCt.php',
					type: 'GET',
					success: function(data) {
						$(".tbody").html(data);
						contentEditable();
					}
				});
			}

			function totls() {
				$.ajax({
					url: 'totlsx.php',
					type: 'GET',
					success: function(data) {
						$("#totls").html(data);
					}
				});
			}

			$(".processar").on('click', function() {
				$.ajax({
					url: 'criarCotacao.php',
					type: 'POST',
					data: {
						cliente: $(".cliente").val(),
						disconto: $("#disconto").val(),
						prazo: $("#prazo").val()
					},
					success: function(data) {
						// window.location.href="fa.php?id_fatura="+data+"";
						window.open("ct.php?id_ct="+data+"");
						location.reload();
					}
				});
			});

			$('#example').DataTable();
		});
	</script>
</body>
</html>